<?php
 # Create_callaccount_module ver.1.2
# last modification 26.2.2010
# Formulář pro vytváření volacích účtů
# 
/*  Šablona vstupního formátu formuláře   */
/*
function cc_checkForm()
  {
    if ($_GET['CC_USERNAME']=="" || ereg("^ +$",$_GET['CC_USERNAME']))
       return "Je nutné zadat identifikační jméno!<script ";
    if ($_GET['CC_SECRET']=="" || ereg("^ +$",$_GET['CC_SECRET']))
       return "Je nutné zadat heslo!";
    if ($_GET['CC_HOST']=="" || ereg("^ +$",$_GET['CC_HOST']))
       return "Je nutné zadat adresu uživatele nebo zvolit <b>dynamic</b>!";
    return true;
  }
*/
/*----------------------------------------------------------------------------*/
 //  echo "sesiduser".$_SESSION['idUSER'];
  
  
  if (IsSet($_POST['CC_SUBMITED']))
  {
#    $vysledek=cc_checkForm();
#    if ($vysledek===TRUE)
    {
      include "build/db_connect.inc.php"  ;
      $query="START TRANSACTION";
      $result =  mysql_query($query);
      $query="INSERT INTO sip_buddies (name,md5secret,host,context,callerid)
              VALUES (\"".$_POST['CC_USERNAME']."\",\"".$_POST['CC_SECRET']."\",
                      \"".$_POST['CC_HOST']."\",\"".$_POST['CC_CONTEXT']."\",\"".$_POST['CC_CALLERID']."\")
              ";
      $result =  mysql_query($query);
      if (!$result) {
        die('Záznam nelze vložit:' . mysql_error());
      }
      $query="SELECT last_insert_id()";
      $result = mysql_query($query);
      if (!$result) {
        die('Could not query:' . mysql_error());
      }
      list($last_insert_id) = mysql_fetch_row($result)  ;
      $query="INSERT INTO bill VALUES ()";
      $result =  mysql_query($query);
      if (!$result) {
        die('Záznam bill nelze vlozit:' . mysql_error());
      }
      $query="SELECT last_insert_id()";
      $result = mysql_query($query);
      if (!$result) {
        die('Could not query:' . mysql_error());
      }
      list($last_insert_id1) = mysql_fetch_row($result)  ;
      $query="SELECT P.idObdobi FROM period P
              WHERE NOT EXISTS (SELECT 1 FROM bill_faktura WHERE idObdobi=P.idobdobi AND idBILL=".$last_insert_id1." )";
      $result = mysql_query($query);
      if (!$result) {
        die('Nelze zjisti období:' . mysql_error());
      }
      while(list($iidobdobi)=mysql_fetch_row($result)){
         $subquery="INSERT INTO bill_faktura (idBILL,idObdobi)
                    VALUES (".$last_insert_id1.",".$iidobdobi.")" ;
         $subresult = mysql_query($subquery); 
          if (!$subresult) {
            die('Nelze přiřadit období:' . mysql_error());
          }
      }
      
      
      $query="INSERT INTO user_account (id,idUSER,idTECHNOLOGY,idBILL)
              VALUES(".$last_insert_id.",".$_SESSION['idUSER'].",1,".$last_insert_id1.")";
    
      $result = mysql_query($query);
      if (!$result) {
        $query="ROLLBACK";
        $result =  mysql_query($query);
        die('Záznam nelze propojit s uživatelem:' . mysql_error());
      }
      $query="INSERT INTO assign_tarif_mix (idTARIFMIX,id,idTECHNOLOGY)
                      VALUES(".$_POST['CC_IDTARIFMIX'].",".$last_insert_id.",1)";
      $result = mysql_query($query);                
      if (!$result) {
        $query="ROLLBACK";
        $result =  mysql_query($query);
        die('Záznam nelze propojit s uživatelem:' . mysql_error());
      }                
      $query="COMMIT";
      $result =  mysql_query($query);
      echo "Účet byl uživately přiřazen. <a href=\"".selfURL()."\">Zpět</a>"; 
     }
#     else {
      
#    }
}else{       
?>
<script language="JavaScript">
  function checkButton(){
      if (document.getElementById("chck1").checked==true){
    //   document.getElementById("CC_HOST1").disabled=true;
          document.getElementById("CC_HOST1").value="dynamic";
        
      }else {
    //      document.getElementById("CC_HOST1").disabled=false;
          document.getElementById("CC_HOST1").value="";
  
     }
  }
// soubor funkcí pro kontrolu hodnot formuláře na straně klienta
  function HideIt() {
        document.getElementById('required').style.visibility= "hidden";
        document.getElementById('requiredtext').style.visibility= "hidden";
  }
  
  function CheckPasswd( theField,theField1, theMessage ) {
   if( theField.value!=theField1.value ) {
      theField.focus();
      if(document.getElementById) {
        document.getElementById('required').style.visibility= "visible";
        document.getElementById('requiredtext').style.visibility= "visible";
        document.getElementById('requiredtext').innerHTML= theMessage;
        setTimeout( "HideIt()",1500);
        //document.getElementById('md5hash').value=MD5(theField.value);
      } else {
          alert(theMessage);
      }
      return false;
   } else {
        if (document.getElementById('PASS').value!=''){
       document.getElementById('PASS').value=MD5(document.getElementById('NAME').value+":asterisk:"+document.getElementById('PASS').value);
        }
        
      return true;
   }
  }
  function CheckEmptyField( theField, theMessage ) {
   if( theField.value=="" ) {
      theField.focus();
      if(document.getElementById) {
        document.getElementById('required').style.visibility= "visible";
        document.getElementById('requiredtext').style.visibility= "visible";
        document.getElementById('requiredtext').innerHTML= theMessage;
        setTimeout( "HideIt()",1500);
      } else {
          alert(theMessage);
      }
      return false;
   } else {
      return true;
   }
  }
  function Validate(theForm) {
      if( !CheckEmptyField(theForm.CC_USERNAME,"Vyplňte prosím jméno!") ) return false;
      if( !CheckEmptyField(theForm.CC_SECRET,"Zadejte prosím heslo!") ) return false;
      if( !CheckEmptyField(theForm.CC_HOST,"Vyplňte název místa ze kterého bude voláno!!") ) return false;
      if( !CheckEmptyField(theForm.CC_IDTARIFMIX,"Vyberte prosím tarifní skupinu!!") ) return false;
      if( !CheckPasswd(theForm.CC_SECRET,theForm.CC_SECRET1,"hesla se nerovnaji") ) return false;
      if( !CheckEmptyField(theForm.CC_SECRET,"Heslo nesmí být prázdné!") ) return false;
  // uspech
  return true;
}
</script>
<center>
<div class="forms">
  <h3>Vytvoření SIP účtu</h3>  <span class="backtoform"><a href="admin_page.php?NEXTFORM=8&idUSER=<?php echo ($_SESSION['idUSER']);?>">Zpět</a> </span>
  <form action="admin_page.php" method="post" onSubmit="return Validate(this);">
    <table>
      <tr>
          <td class="tablehead">Jméno účtu: </td><td class="tableculombhead"><input size=8 type="text" id="NAME" name="CC_USERNAME" ></td>
          <td class="tablehead">Heslo</td>
      </tr><tr>
        
          <td class="tablehead">Zobrazované jméno <číslo>  </td><td class="tableculombhead"><input size=8 type="text" name="CC_CALLERID"></td>
          <td class="tableculombhead"><input size=6 type="password" id="PASS" name="CC_SECRET"></td>
      </tr><tr>
          <td class="tablehead">Typ: </td><td class="tableculombhead"> <select name="CC_TYPE">
                               <option value="friend">friend</option>
                               <option value="user">user</option>
                               <option value="peer">peer</option>
                            </select>
          </td>
          <td class="tableculombhead"><input size=6 type="password" name="CC_SECRET1"></td>
      </tr><tr>
          
                 <?php 
        #Část která vyčítá do roletky formuláře možné uživatelské skupiny
          include "build/db_connect.inc.php"  ;
          $query="SELECT idTARIFMIX,Name
                  FROM tarif_mix
                  WHERE validity=1
                  ORDER BY Name ASC";
          $result = mysql_query($query);
          
          if (!$result) {
            die('Could not query:' . mysql_error());
          }
          
        
            
            echo ("<td class=\"tablehead\"> Tarifní skupina: </td><td class=\"tableculombhead\"><select name=\"CC_IDTARIFMIX\" size=\"1\" >");
                                                echo("<option value=\"\">vyberte</option>");
                                                while (list($idTARIFMIX, $name ) = mysql_fetch_row($result)){
                                                #podmínka pro nastavení defaultní hodnoty skupiny na User
                                                    if ($_POST['CC_IDTARIFMIX']==$idTARIFMIX){
                                                        echo("<option value=\"".$idTARIFMIX."\" selected>".$name."</option>"); 
                                                    }else{
                                                        echo("<option value=\"".$idTARIFMIX."\">".$name."</option>");
                                                    }
                                                }
                                                echo ("</select>");
                                                echo ("</td>");
            ?>
          
            <td class="tableculombhead"></td>
          
      </tr><tr>
        <td class="tablehead">IP/Název klienta: </td><td class="tableculombhead"><input size=8 type="text" name="CC_HOST" id="CC_HOST1"></td>
        <td class="tableculombhead"><input type="checkbox" onClick ="checkButton()" id="chck1" >dynamická</td>
      </tr><tr>
        <td class="tablehead">Kontext (dopor. <i>default</i>): </td><td class="tableculombhead"><input size=8 type="text" name="CC_CONTEXT"></td>
        <td class="tableculombhead"></td>
      </tr><tr> 
        <input type="hidden" name="idUSER" value="<?php echo($idUSER);?>">
        <input type="hidden" name="CC_SUBMITED" value="TRUE">
     
        <td class="tableculombhead" colspan=3 align="center"><input type="reset" value="Reset"><input type="submit" value="Ulož"></td>
      </tr>
    </table>
  </form>

   



</div>
</center>



<script language="JavaScript"><!-------------
// Tuto funkci je mozno vlozit na konec hlavního dokumentu a ušetři její opakování
if(document.getElementById) {
  document.write('<img ID="required" STYLE="visibility:hidden; position:absolute; left:300; top:120" src="required.gif">');
  document.write('<p ID="requiredtext" STYLE="visibility:hidden; position:absolute; left:365; top:155" >abc</p>');
}

//-----------></script>

<?php 
 }
?>